package com.halo.halomobisdk

import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.halo.halojuhesdk.sdk.HlInsertAd
import com.halo.halojuhesdk.sdk.listener.HlInsertAdListener
import com.halomobi.halomobisdk.R
import org.json.JSONObject

class InsertActivity : AppCompatActivity(){

    private var hlInsertAd: HlInsertAd? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_banner)
        findViewById<Button>(R.id.load).setOnClickListener {
            loadInsertAd()
        }
        findViewById<Button>(R.id.show).setOnClickListener {
            hlInsertAd?.show()
        }

    }

    private fun loadInsertAd() {
        hlInsertAd = HlInsertAd(this, "2931701", 480, 320, object :
            HlInsertAdListener {
            override fun onDisplayAd() {
            }

            override fun onClickAd() {
            }

            override fun onCloseAd() {
            }

            override fun onAdReady() {
                Toast.makeText(this@InsertActivity, "==价格===${hlInsertAd?.ecpm}", Toast.LENGTH_SHORT).show()
                val ecpmMap = hlInsertAd?.ecpmMap
                val jsonObject = JSONObject()
                ecpmMap?.forEach { (key, value) ->
                    jsonObject.put(key, value)
                }
                findViewById<TextView>(R.id.price_show).text = jsonObject.toString()
            }

            override fun onAdError(msg: String?, code: Int) {
                Toast.makeText(this@InsertActivity, "==error===$msg", Toast.LENGTH_SHORT).show()
            }

        })
        hlInsertAd?.loadAd()
    }
}